SAVELOG(8)

NOME
savelog - salva un file di log

SINTASSI
savelog [-m modo] [-u utente] [-g gruppo] [-t] [-p] [-c ciclo] [-l] [-j] [-J] [-1 .. -9] [-C] [-d] [-l] [-r dir_di_rotaz] [-n] [-q] [-D formatodata] file ...

DESCRIZIONE
Il comando savelog salva e opzionalmente comprime le vecchie copie di file. Alle versioni più vecchie di file viene assegnato il nome:

    file.<numero><suffisso_compressione>

dove <numero> è il numero di versione, con 0 che corrisponde alla più recente. I numeri di versione > 0 vengono compressi a meno che -l non lo impedisca. Il numero di versione 0 non viene compresso perché un processo potrebbe ancora avere file aperto in I/O. Solo le versioni ciclo vengono mantenute.

Se il file non esiste ed è stata specificata -t, allora verrà creato.

Per i file che esistono e hanno lunghezza maggiore di zero, vengono effettuate le seguenti azioni:

1)  Version numbered files are cycled. Version file.2 is moved to version file.3, version file.1 is moved to version file.2, and so on. Finally version file.0 is moved to version file.1, and version file is deleted. Both compressed names and uncompressed names are cycled, regardless of -l. Missing version files are ignored.

2)  The new file.1 is compressed unless the -l flag was given. It is changed subject to the -m, -u, and -g flags.

3)  The main file is moved to file.0.

4)  Se sono utilizzate le opzioni -m, -u, -g, -t o -p, allora viene creato un file vuoto in accordo con le opzioni specificate. Con l'opzione -p, il file viene creato con gli stessi proprietario, gruppo e permessi che aveva prima.

5)  The new file.0 is changed subject to the -m, -u, and -g flags.

OPZIONI

-m modo
    usa chmod per cambiare la modalità dei file di log in «modo», implica -t

-u utente
    usa chown per assegnare i file di log ad utente, implica -t

-g gruppo
    usa chgrp per assegnare i file di log a gruppo, implica -t

-c ciclo
    Save cycle versions of the logfile (default: 7). The cycle count must be at least 2.

-t  usa touch su i nuovi file di log

-l  non comprime alcun file di log (valore predefinito: comprimere)

-p  preserva proprietario, gruppo e permessi del file di log

-j  comprime con bzip2 invece di gzip

-J  comprime con xz invece di gzip

    For xz no strength option is set, and xz decides on the default based on the total amount of physical RAM. Note that xz can use a very large amount of memory for the higher compression levels.

-1 .. -9
    livello di compressione o uso della memoria (valore predefinito: 9, tranne che per xz)

-C  forza la pulizia dei file di log rotati

-d  usa la data standard per la rotazione

-D formatodata
    scavalca il formato della data, con la sintassi usata dal comando date(1)

-r  use rolldir instead of . to roll files

-n  non ruota i file vuoti

-q  funziona silenziosamente

BUG
If a process is still writing to file.0, and savelog moves it to file.1 and compresses it, data could be lost.

VEDERE ANCHE
logrotate(8)